
bool End(highp vec4 fc){if(((fc.r > fc.g) && (fc.b > fc.g) && (fc.b > fc.r)) && (fc.r < 0.05 && fc.b < 0.05 && fc.g < 0.05)){return true;}else{return false;}}

bool Nether(highp vec2 fct){if(fct.r < 0.15 && fct.x > 0.001 ){return true;}else{return false;}}

bool Underwater(highp vec2 fct){if(fct.x == 0.0){ return true;}else{return false;}}

float Rain(highp vec2 fct){ return  smoothstep(1.0,0.5,(fct.x) / ((fct.y+.3) - fct.x));}
